package com.zkqy.system.entity;

import com.zkqy.common.annotation.Excel;
import com.zkqy.common.core.domain.BaseEntity;

import java.io.Serializable;

/**
 * 流程节点脚本关联对象 bpm_node_script_relevance
 *
 * @author hzh
 * @date 2023-10-26
 */
public class BpmNodeScriptRelevance extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1231251L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 节点编码
     */
    @Excel(name = "节点编码")
    private String nodeKey;

    /**
     * 脚本编码
     */
    @Excel(name = "脚本编码")
    private String scriptKey;

    /**
     * 异常节点表单
     */
    private String formKey;
    /**
     * 脚本触发机制（0：异常手动；1：正常自动；2：节点前后自动）
     */
    @Excel(name = "脚本触发机制", readConverterExp = "0=：异常脚本；1：正常脚本 2：节点前后自动")
    private Long scriptTriggerType;
    /**
     * 异常节点名称
     */
    private String scriptNodeName;
    /**
     * 异常节点表单类型
     */
    private String scriptNodeFormType;

    public String getFormKey() {
        return formKey;
    }

    public void setFormKey(String formKey) {
        this.formKey = formKey;
    }

    public String getScriptNodeName() {
        return scriptNodeName;
    }

    public void setScriptNodeName(String scriptNodeName) {
        this.scriptNodeName = scriptNodeName;
    }

    public BpmNodeScriptRelevance(String nodeKey) {
        this.nodeKey = nodeKey;
    }

    public BpmNodeScriptRelevance() {
    }

    public BpmNodeScriptRelevance(Long id, String nodeKey, String scriptKey, Long scriptTriggerType, String formKey, String scriptNodeName, String scriptNodeFormType) {
        this.id = id;
        this.nodeKey = nodeKey;
        this.scriptKey = scriptKey;
        this.scriptTriggerType = scriptTriggerType;
        this.formKey = formKey;
        this.scriptNodeName = scriptNodeName;
        this.scriptNodeFormType = scriptNodeFormType;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setNodeKey(String nodeKey) {
        this.nodeKey = nodeKey;
    }

    public String getNodeKey() {
        return nodeKey;
    }

    public void setScriptKey(String scriptKey) {
        this.scriptKey = scriptKey;
    }

    public String getScriptKey() {
        return scriptKey;
    }

    public void setScriptTriggerType(Long scriptTriggerType) {
        this.scriptTriggerType = scriptTriggerType;
    }

    public Long getScriptTriggerType() {
        return scriptTriggerType;
    }

    public String getScriptNodeFormType() {
        return scriptNodeFormType;
    }

    public void setScriptNodeFormType(String scriptNodeFormType) {
        this.scriptNodeFormType = scriptNodeFormType;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("BpmNodeScriptRelevance{");
        sb.append("id=").append(id);
        sb.append(", nodeKey='").append(nodeKey).append('\'');
        sb.append(", scriptKey='").append(scriptKey).append('\'');
        sb.append(", scriptTriggerType=").append(scriptTriggerType);
        sb.append(", formKey='").append(formKey).append('\'');
        sb.append(", scriptNodeName='").append(scriptNodeName).append('\'');
        sb.append(", scriptNodeFormType='").append(scriptNodeFormType).append('\'');
        sb.append('}');
        return sb.toString();
    }


}
